Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
finottiOffline
Post subject: [solved] nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 13:03



Joined: 2010-09-12
Posts: 294

Status: Offline
FYI, I have in my two computers:

      Code:

root@t510[/media]# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  nvidia-glx
The following NEW packages will be installed:
  linux-headers-2.6.37-0.slh.26-aptosid-amd64 linux-image-2.6.37-0.slh.26-aptosid-amd64
The following packages have been kept back:
  gstreamer0.10-ffmpeg
The following packages will be upgraded:
  acpid apt apt-utils cpp-4.4 diffpdf djview4 g++-4.4 gcc-4.4 gcc-4.4-base gfortran-4.4 grub-common grub-pc grub2 lib32gcc1 lib32stdc++6
  libdjvulibre-text libdjvulibre21 libdrm-intel1 libdrm-radeon1 libdrm2 libgcc1 libgfortran3 libgl1-mesa-dri libgl1-mesa-glx libglu1-mesa libgomp1
  libmpfr4 libpam-modules libpam-runtime libpam0g libstdc++6 libstdc++6-4.4-dev libunique-1.0-0 linux-headers-2.6-aptosid-amd64
  linux-image-2.6-aptosid-amd64 login passwd sun-java6-bin sun-java6-jre sun-java6-plugin xserver-common xserver-xorg-core
42 upgraded, 2 newly installed, 1 to remove and 1 not upgraded.
Need to get 0 B/120 MB of archives.
After this operation, 145 MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.


More details:

      Code:

root@t510[/media]# apt-get -o Debug::pkgProblemResolver=yes dist-upgrade
[snip]
Starting 2
Investigating (0) nvidia-glx [ amd64 ] < 260.19.36-0~frickel.1 > ( non-free/x11 )
Broken nvidia-glx:amd64 Depends on xorg-video-abi-8.0 [ amd64 ] < none > ( none )
  Considering xserver-xorg-core:amd64 54 as a solution to nvidia-glx:amd64 1
Broken nvidia-glx:amd64 Depends on xorg-video-abi-6.0 [ amd64 ] < none > ( none )
Broken nvidia-glx:amd64 Depends on xserver-xorg-core [ amd64 ] < 2:1.9.4-1 -> 2:1.9.4-2 > ( x11 ) (< 2:1.7.7)
  Or group remove for nvidia-glx:amd64
[snip]


For good measure:
      Code:

root@t510[/media]# infobash -v3
Host/Kernel/OS  "t510" running Linux 2.6.37-0.slh.23-aptosid-amd64 x86_64 [ sidux 2010-01 Ύπνος - kde-full - (201006131622) ]
CPU Info        4x Intel Core i5 M 520 @ 3072 KB cache flags( sse3 ht nx lm vmx ) clocked at [ 2400.000 MHz ]                                       
Videocard       nVidia GT218 [NVS 3100M]  X.Org 1.9.4  [ 1366x768@50.0hz ]                                                                           
Network cards   Intel 82577LM Gigabit                                                                                                               
                Intel Centrino Advanced-N 6200                                                                                                       
Processes 197 | Uptime 23:50 | Memory 1934.4/3829.0MB | HDD ST9320423AS Size 328GB (33%used) | GLX Renderer NVS 3100M/PCI/SSE2 | GLX Version 3.3.0 NVIDIA 260.19.36 | Client Shell | Infobash v3.34


I guess we just have to wait a little...

Luis


Last edited by finotti on 17.02.2011, 14:02; edited 1 time in total
 
 View user's profile Send private message  
Reply with quote Back to top
towoOffline
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 13:19



Joined: 2010-09-13
Posts: 496
Location: Pößneck / Thüringen
Status: Offline
I currently upload fixed nvidia and nvidia-legacy-173xx to Frickelplatz.
 
 View user's profile Send private message  
Reply with quote Back to top
towoOffline
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 13:28



Joined: 2010-09-13
Posts: 496
Location: Pößneck / Thüringen
Status: Offline
So, fixed packages for nvidia are on Frickelplatz.
 
 View user's profile Send private message  
Reply with quote Back to top
finottiOffline
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 14:02



Joined: 2010-09-12
Posts: 294

Status: Offline
I haven't installed the packages, but I can confirm it no longer will be removed (with Frickelplatz enabled).

Thanks towo!
 
 View user's profile Send private message  
Reply with quote Back to top
hopimetOffline
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 19:38



Joined: 2010-10-13
Posts: 62
Location: France
Status: Offline
@towo,

Are the new packages for nvidia also fixed for i386 (or only for amd64) ?
 
 View user's profile Send private message  
Reply with quote Back to top
towoOffline
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 19:43



Joined: 2010-09-13
Posts: 496
Location: Pößneck / Thüringen
Status: Offline
I ever upload both versions, oterwise it does not make many sense.
 
 View user's profile Send private message  
Reply with quote Back to top
hopimetOffline
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 20:13



Joined: 2010-10-13
Posts: 62
Location: France
Status: Offline
OK but with the frickelplatz repository, if i try a d-u i get:
      Code:

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Échec
Les paquets suivants contiennent des dépendances non satisfaites :
 transmission-common : Casse: transmission-gtk (< 2.10-1) mais 2.03-2 devra être installé
 transmission-gtk : Dépend: transmission-common (= 2.03-2) mais 2.20-0~frickel.1 devra être installé
E: Erreur, pkgProblemResolver::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.


And if I do apt-get upgrade:
      Code:

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été conservés :
  cairo-dock cairo-dock-core chromium-browser chromium-browser-inspector libgl1-nvidia-glx nvidia-glx
  transmission transmission-cli transmission-common transmission-gtk wine
Les paquets suivants seront mis à jour :
  gimp gimp-data gimp-plugin-registry inkscape kaffeine libbabl-0.0-0 libfm-gtk0 libfm0 libgegl-0.0-0
  libgimp2.0 libgl1-nvidia-alternatives libglx-nvidia-alternatives nvidia-kernel-source
  xserver-xorg-video-openchrome
14 mis à jour, 0 nouvellement installés, 0 à enlever et 11 non mis à jour.


Do I need to activate other repositories ?
 
 View user's profile Send private message  
Reply with quote Back to top
towoOffline
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 20:25



Joined: 2010-09-13
Posts: 496
Location: Pößneck / Thüringen
Status: Offline
I can't read french.
If you want help, start your commands with LANG=C
 
 View user's profile Send private message  
Reply with quote Back to top
hopimetOffline
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 20:30



Joined: 2010-10-13
Posts: 62
Location: France
Status: Offline
Sorry.
apt-get d-u returns:
      Code:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Failed
The following packages have unmet dependencies:
 transmission-common : Breaks: transmission-gtk (< 2.10-1) but 2.03-2 is to be installed
 transmission-gtk : Depends: transmission-common (= 2.03-2) but 2.20-0~frickel.1 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

And apt-get upgrade gives:
      Code:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages have been kept back:
  cairo-dock cairo-dock-core chromium-browser chromium-browser-inspector libgl1-nvidia-glx nvidia-glx
  transmission transmission-cli transmission-common transmission-gtk wine
The following packages will be upgraded:
  gimp gimp-data gimp-plugin-registry inkscape kaffeine libbabl-0.0-0 libfm-gtk0 libfm0 libgegl-0.0-0
  libgimp2.0 libgl1-nvidia-alternatives libglx-nvidia-alternatives nvidia-kernel-source
  xserver-xorg-video-openchrome
14 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
 
 View user's profile Send private message  
Reply with quote Back to top
towoOffline
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 20:36



Joined: 2010-09-13
Posts: 496
Location: Pößneck / Thüringen
Status: Offline
Don't do distupgrade agsinst frickel, there are many other stuff, partialy build agaist experimental (like transmission).
Do
1. apt-get install nvidia-kernel-source && m-a a-i nvidia-kernel-source
2. apt-get install nvidia-glx
3. disable frickel repo, do apt-get dist-upgrade
4. apt-get --reinstall install nvidia-glx


Last edited by towo on 18.02.2011, 20:45; edited 1 time in total
 
 View user's profile Send private message  
Reply with quote Back to top
hopimetOffline
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 20:39



Joined: 2010-10-13
Posts: 62
Location: France
Status: Offline
OK, I do that and give you a feedback.
Thanks
 
 View user's profile Send private message  
Reply with quote Back to top
hopimetOffline
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 21:01



Joined: 2010-10-13
Posts: 62
Location: France
Status: Offline
Thanks so much towo. It worked fine.

Just an error message at point #2: apt-get install nvidia-glx had a dependency problem. It asked for apt-get install -f to install libgl1-nvidia-glx and nvidia-glx.
I didn't need to reinstall nvidia-glx after the d-u.
 
 View user's profile Send private message  
Reply with quote Back to top
towoOffline
Post subject:   PostPosted: 17.02.2011, 21:04



Joined: 2010-09-13
Posts: 496
Location: Pößneck / Thüringen
Status: Offline
      Quote:
I didn't need to reinstall nvidia-glx after the d-u.

Sure, you do, since xserver-xorg-core was updated. Your X may start, but 3D does not work.
 
 View user's profile Send private message  
Reply with quote Back to top
muchan
Post subject: RE: nvidia-glx to be removed (amd64) AGAIN  PostPosted: 17.02.2011, 21:09
Moderator


Joined: 2010-09-11
Posts: 468

hopimet, don't you disactivate the sid repo, when you want to install something from
experimental or from frickelplatz?
Leave it activated (with non-free, when you install nvidia-glx) since dependencies are
taken from sid repository.
 
 View user's profile Send private message  
Reply with quote Back to top
hopimetOffline
Post subject:   PostPosted: 17.02.2011, 21:18



Joined: 2010-10-13
Posts: 62
Location: France
Status: Offline
      towo wrote:
      Quote:
I didn't need to reinstall nvidia-glx after the d-u.

Sure, you do, since xserver-xorg-core was updated. Your X may start, but 3D does not work.

Done. Thx for help.

@muchan,
You are right, I had deactivated the sid repo. That's why I got this error but apt-get install -f was able to solve it.
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio